Bug 842673 - Create xrefstyles to match csprocessor output
Create xrefstyles to match csprocessor output
Status: CLOSED DEFERRED
Product: Topic Tool
Classification: Other
Component: FUDCon Docs Hack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joshua Wulf
Joshua Wulf
:
Depends On: 839460
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 08:57 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-07 10:55:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-07-24 08:57:40 EDT
csprocessor now injects the following xrefstyles:

"see-also"
"prereq"
"link-list"

These need to be defined in the brand as equivalents to simpletarget.
Comment 1 Joshua Wulf 2012-07-24 08:58:59 EDT
The workaround in the meantime: 


#!/bin/bash
if [ -d assembly/publican/en-US/topics ]; then
  cd assembly/publican/en-US/topics
  perl -p -i -e 's/xrefstyle="prereq"//g' *.xml
  perl -p -i -e 's/xrefstyle="see-also"//g' *.xml
  perl -p -i -e 's/xref linkend=/xref xrefstyle="simpletarget" linkend=/g' *.xml
fi

Note You need to log in before you can comment on or make changes to this bug.